Attribute VB_Name = "basError"
' Module     : basError
' Description:
' Procedures : ErrorDisplay(plngErrNum As Long, pstrError As String, pStrModule As String, pstrProc As String, plngLine As Long)

' Modified   :
' 01/25/02 S Cleaned with Total Visual CodeTools 2000
'
' --------------------------------------------------
Option Compare Database
Private Const mcstrModule As String = "basPrintLines"

Public Enum ErrResponse
    errContinue = 1
    errexit = 2
End Enum

Public Function ErrorDisplay(plngErrNum As Long, pstrError As String, _
        pStrModule As String, pstrProc As String, plngLine As Long)
    ' Comments  :
    ' Parameters: plngErrNum
    '             pstrError
    '             pStrModule
    '             pstrProc
    '             plngLine -
    ' Returns   :  -
    ' Modified  :
    '
    ' --------------------------------------------------
    
    'TVCodeTools ErrorEnablerStart
    On Error GoTo Proc_Err
    'TVCodeTools ErrorEnablerEnd
    
    Dim strMsg As String
    strMsg = "An Error has occurred:" & vbCrLf _
        & "Error Number: " & plngErrNum & vbCrLf _
        & "Description: " & pstrError & vbCrLf _
        & "Module: " & pStrModule & vbCrLf _
        & "Procedure: " & pstrProc & vbCrLf _
        & "Line: " & plngLine
    
    MsgBox strMsg, vbCritical
    ErrorDisplay = errContinue
    
    
    
    'TVCodeTools ErrorHandlerStart
Proc_Exit:
    Exit Function
    
Proc_Err:
    Select Case Err.Number
        Case Else
            Select Case ErrorDisplay(Err.Number, Error$, mcstrModule, "ErrorDisplay", Erl())
                Case errContinue
                    Resume Next
                Case errexit
                    Resume Proc_Exit
            End Select
    End Select
    'TVCodeTools ErrorHandlerEnd
    
End Function


